//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.mend;

import com.aspose.pdf.kit.PdfFileMend;

import java.io.FileOutputStream;
import java.io.FileInputStream;


public class AddImage {
  public AddImage() {
  }

  //demonstrates adding image on pages.
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      String inputFile = path + "example2.pdf";
      String imageName = path + "butterfly.jpg";
      String outputFile = path + "PdfMendOut1.pdf";
      int[] pages = new int[] {
          1, 2, 3, 4, 5};
      FileInputStream inPdfStream = new FileInputStream(inputFile);
      FileInputStream inImgStream = new FileInputStream(imageName);
      FileOutputStream outputStream = new FileOutputStream(outputFile);

      PdfFileMend mendor = new PdfFileMend(inPdfStream, outputStream);
      mendor.addImage(inImgStream, pages, 50, 50, 100, 100);
      mendor.close();
      outputStream.close();
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }

}
