//
//Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.hyperlink;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use hyperlink in pdf.
 */
public class HyperLinkExample {
    public static void main(String args[]){
        //  if you got a license, uncomment following lines
		//	License lic  = new License();
		//     	try {
		//         		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
		//     	} catch (Exception e) {
		//     		System.out.println(e.getMessage());
		//     	}
	        
        try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
			//add a local hyperlink
			Text text1 = new Text(sec1);
			Segment seg1 = text1.getSegments().add("a local link to another page in this file.\n");
			seg1.getTextInfo().setTextColor(Color.Blue);
			seg1.getTextInfo().setUnderLine(true);
			HyperLink link = new HyperLinkToLocalPdf("anchorID");
			seg1.setHyperLink(link);
			sec1.getParagraphs().add(text1);
			
	        
			Section sec2 = pdf.getSections().add();
			sec2.getPageSetup().getMargin().setTop(50);
			Text text2 = new Text(sec2);
			Segment seg = new Segment(text2,"section2");
			seg.setID("anchorID");
			text2.getSegments().add(seg);
	        sec2.getParagraphs().add(text2);
	        
	        
	        
	        //add a internet hyperlink
	        Text text3 = new Text(sec1);
			Segment seg3 = text3.getSegments().add("a link to homepage of aspose pdf.");
			seg3.getTextInfo().setTextColor(Color.Blue);
			seg3.getTextInfo().setUnderLine(true);
			HyperLink linkToInternet = new HyperLinkToWeb("http://www.aspose.com/Products/Aspose.Pdf/default.aspx");
			seg3.setHyperLink(linkToInternet);
			sec1.getParagraphs().add(text3);
			
			
			pdf.save(new FileOutputStream(new File("exampleOutput/HyperLinkExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
    }

}
